%define fw_version 5.43

Summary:	KDE's lightweight user interface framework
Name:		kirigami2
Version:	5.43.0
Release:	1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	qt5-qml-tools
BuildRequires:	qt5-qtgraphicaleffects-qml
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(Qt5Quick)
BuildRequires:	pkgconfig(Qt5QuickControls2)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Requires:	qt5-qtgraphicaleffects-qml

%description
Kirigami is KDE's lightweight user interface framework for mobile
and convergent applications. It allows Qt developers to easily create
applications that run on most major mobile and desktop platforms without
modification (though adapted user interfaces for different form-factors
are supported and recommended for optimal user experience). It extends
the touch-friendly Qt Quick Controls with larger application building
blocks, following the design philosophy laid out in the Kirigami Human
Interface Guidelines.

%files -f %{name}.lang
%dir %{_kde5_qmldir}/org/kde/kirigami.2/
%{_kde5_qmldir}/org/kde/kirigami.2/*

#----------------------------------------------------------------------------

%define kf5kirigami2_major 5
%define libkf5kirigami2 %mklibname kf5kirigami2_ %{kf5kirigami2_major}

%package -n %{libkf5kirigami2}
Summary:	KDE Frameworks 5 lightweight user interface framework shared library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libkf5kirigami2}
KDE Frameworks 5 lightweight user interface framework shared library.

%files -n %{libkf5kirigami2}
%{_kde5_libdir}/libKF5Kirigami2.so.%{kf5kirigami2_major}*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	Development files for KDE's lightweight user interface framework
Group:		Development/KDE and Qt
Requires:	%{libkf5kirigami2} = %{EVRD}
Provides:	kf5kirigami2-devel = %{version}
Provides:	%{name}-devel = %{version}

%description -n %{devname}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devname}
%{_kde5_includedir}/KF5/Kirigami2/
%{_kde5_libdir}/libKF5Kirigami2.so
%{_kde5_libdir}/cmake/KF5Kirigami2
%{_kde5_mkspecsdir}/qt_Kirigami2.pri

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sat Feb 17 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (2e2e56e) Don't depend on KF5 packages


